> ## Documentation Index
> Fetch the complete documentation index at: https://docs.answeringagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Locations

> List all locations for the authenticated reseller. Can filter by organization using query parameter.




## OpenAPI

````yaml /openapi.yaml get /locations
openapi: 3.0.0
info:
  title: Answering Agent API
  description: API for Answering Agent platform
  version: 1.0.0
servers:
  - url: https://answeringagent.com/api/v1
    description: Production API
  - url: https://playground.answeringagent.com/api/v1
    description: Playground API
security: []
paths:
  /locations:
    get:
      tags:
        - Locations
      summary: List Locations
      description: >
        List all locations for the authenticated reseller. Can filter by
        organization using query parameter.
      operationId: listLocations
      parameters:
        - in: query
          name: organization_id
          schema:
            type: integer
          description: Filter locations by organization ID
      responses:
        '200':
          description: Array of locations
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Location'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Location:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        phone_number:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - pending
            - active
        address:
          type: string
          nullable: true
        google_place_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: API key is required
                enum:
                  - API key is required
                  - Invalid credentials
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````